<?php
/*
 * Menu de configuracion de wao license manager
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/*
  ______                   _                     ______                   
 / _____)        _     _  (_)                   (_____ \                  
( (____  _____ _| |_ _| |_ _ ____   ____  ___    _____) )____  ____ _____ 
 \____ \| ___ (_   _|_   _) |  _ \ / _  |/___)  |  ____(____ |/ _  | ___ |
 _____) ) ____| | |_  | |_| | | | ( (_| |___ |  | |    / ___ ( (_| | ____|
(______/|_____)  \__)  \__)_|_| |_|\___ (___/   |_|    \_____|\___ |_____)
                                  (_____|                    (_____|      
*/
function wao_settings_page(){
	if(soy_waolm_servidor()){
		$url=get_option('home')."/wp-admin/edit.php?post_type=licensemanagerwao&page=waolm_config";
	}else{
		$url=get_option('home')."/wp-admin/admin.php?page=waolm_config";
	}
	$url="options.php";
	?>
	<form action="<?php echo $url;?>" method="post">
		<?php 
		settings_fields( '_waolm_options' ); //Llamamos a la seccion de configuracion definida con register_setting()
		do_settings_sections( 'waolm_fields' ); //Mostramos la sección definida con add_settings_section
		?>
		<input name="submit" class="button button-primary" type="submit" value="<?php esc_attr_e( 'Save' ); ?>" />
		<hr>
  </form>
	<?php
} // function wao_settings_page() END
//////REGISTRANDO LOS CAMPOS O VARIABLES EN LA BASE DE DATOS [PASO 1]
function waolm_register_settings() {
	//					$option_group	  option_name			args  =  array()  )
	register_setting( '_waolm_options', '_waolm_options', '_waolm_options_validate' );
	// 							$id				$título										  $funcion titulo		$página			$argumentos  =  matriz()   
	add_settings_section( 'waolm1_settings', 'Windows And Office License Manager Settings', 'waolm_section_text', 'waolm_fields' );
	// 								$id, 			           $title,                                              $callback, 				$page, 			$section 	$args = array()
	add_settings_field( 'waolm_setting_urlmanuals', 'URL raiz para el enlace a manual de usuario y descargas', 'waolm_setting_urlmanuals', 'waolm_fields', 'waolm1_settings' );
	add_settings_field( 'waolm_setting_external_server', 'URL de un servidor externo', 'waolm_setting_external_server', 'waolm_fields', 'waolm1_settings' );
	if(!soy_waolm_servidor()){
		add_settings_field( 'waolm_setting_server', 'Configure este pais como servidor', 'waolm_setting_server', 'waolm_fields', 'waolm1_settings' );
	}
}
add_action( 'admin_init', 'waolm_register_settings' );
/////VALIDACION
function _waolm_options_validate( $input ) {
	$newinput['urlmanuals'] = trim( $input['urlmanuals'] );
	if ( ! preg_match( '/^[a-z0-9]{32}$/i', $newinput['urlmanuals'] ) ) {
	  $newinput['urlmanuals'] = '';
	}
	if ($input['soy_servidor']=="S") {
		if(is_multisite()){
			update_blog_option(1,'_waolm_server_id',get_current_blog_id());
		}else{
			update_option('_waolm_server_id',1);
		}
	}else{
		if(!is_multisite()){
			delete_option('_waolm_server_id');
		}
	}
  //return $newinput;
  if(is_multisite()){
	update_blog_option(1,"_depu",$depu);
  }else{
	update_option("_depu",$depu);
  }
  return $input;
}
/////LOS CAMPOS DEL FORMULARIO, LOS QUE SE VEN [PASO 2]
function waolm_section_text() {
  echo '<p>Configuracion de Parametros para WAO License Manager</p>';
}
function waolm_setting_urlmanuals() { // Combos (COMBO#SKU|ID*ID)
  $options = get_option( '_waolm_options' );
  echo "<input id='waolm_urlmanuals' name='_waolm_options[urlmanuals]' type='text' style='width:400px;' value='".esc_attr( $options['urlmanuals'] )."' /><i style='margin-left:20px;'>(Incluir <b>https://</b> y un slash al final.)</i> ";
}
function waolm_setting_external_server() { // Combos (COMBO#SKU|ID*ID)
  $options = get_option( '_waolm_options' );
  echo "<input id='waolm_externalserver' name='_waolm_options[externalserver]' type='text' style='width:400px;'  value='".esc_attr( $options['externalserver'] )."' /><i style='margin-left:20px;'>(Incluir <b>https://</b> y un slash al final.) (Activar SOLO SI el servidor está en otra web. Caso contrario dejar en blanco)</i> ";
}
function waolm_setting_server(){ //siempre en multisite
	if(is_multisite()){
		$waolm_server_id=get_waolm_server_id();
		switch_to_blog($waolm_server_id);
			$blog_name=get_option( 'blogname' );
		restore_current_blog();
		if(get_current_blog_id()==$waolm_server_id){
			$checked1="checked";
			$checked2="";
			$message = "";
		}else{
			$checked1="";
			$checked2="checked";
			$message="<span style='color:gray;font-size:12px;font-style: italic;'>(Servidor configurado es: <b>".$blog_name.")</b></span>";
		}
		echo "<span style='border:solid 1px gray; border-radius:5px;padding:10px;width:300px;'>";
			echo '<input type="radio" id="waolm_soy_servidor" name="_waolm_options[soy_servidor]" value="S" '.$checked1.'><label for="waolm_server_id">Si</label>&nbsp;&nbsp;&nbsp;'; 
			echo '<input type="radio" id="waolm_soy_servidor" name="_waolm_options[soy_servidor]" value="N" '.$checked2.'><label for="waolm_server_id">No</label>'; 
		echo "</span>&nbsp;&nbsp;".$message;
	}
}//fin de funcion waolm_setting_server
function waolm_url($url){ //esto ya hace lo que debe
	$url=str_replace('http://','',$url);
	$url=str_replace('https://','',$url);
	$url="https://".$url;
	if(substr($url, -1)<>'/'){
		$url=$url."/";
	}
	return $url;
}
